receipts.md
Receipts
The Receipt resource generates a receipt for Transfers or Authorizations. You can then send the Receipt via Email, SMS, or use the information from the Receipt to send it yourself.
Create a Receipt
- POST /receipts: Create a Receipt resource to generate a receipt for a Transfer or Authorization. Receipts are supported for DEBIT and REVERSAL transfers, as well as CREDIT transfers from unreferenced refunds.
Include basic details such as total amount, buyer billing information, merchant name, and contact info.
Optionally, provide:
- an amount_breakdown of charges like subtotal, shipping, and surcharges
- an items list with product name, description, price, and quantity
- include additional_details as an array of key-value pairs to capture extra metadata, such as "Invoice Number" or "Service Date".
Fetch a Receipt
- GET /receipts/{receipt_id}: Retrieve the details of an existing Receipt.
Create a Delivery Attempt
- POST /receipts/{receipt_id}/delivery_attempts: Create a Delivery Attempt on an existing Receipt resource.
List Receipt Delivery Attempts
- GET /receipts/{receipt_id}/delivery_attempts: List Delivery Attempts for a Receipt resource.